Package wx :: Package lib :: Package agw :: Module knobctrl :: Class KnobCtrlEvent

[frames | no frames]

## Type KnobCtrlEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            KnobCtrlEvent

Represent details of the events that the KnobCtrl object sends.

Method Summary
| ``__init__`(self, eventType, id)` Default class constructor.
| ``GetOldValue`(self)` Returns the old KnobCtrl value for this event.
| ``GetValue`(self)` Returns the new KnobCtrl value for this event.
| ``SetOldValue`(self, oldValue)` Sets the old KnobCtrl value for this event.
| ``SetValue`(self, value)` Sets the new KnobCtrl value for this event.

Property Summary

Method Details

### __init__(self, eventType, id=1)
(Constructor)

Default class constructor.

  Overrides:
    `wx.PyCommandEvent.__init__`

### GetOldValue(self)

Returns the old KnobCtrl value for this event.

### GetValue(self)

Returns the new KnobCtrl value for this event.

### SetOldValue(self, oldValue)

Sets the old KnobCtrl value for this event.

### SetValue(self, value)

Sets the new KnobCtrl value for this event.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:48 2009 | http://epydoc.sf.net